10     DIM Pri$[9],Sec$[9],Freq$[9],Lvl$[9],Cbl$[9],Rtn_pri$[9],Rtn_sec$[9]
20     DIM Buff$[9],Input_val$[9]
30     REAL Rtn_freq,Rtn_lvl
40     INTEGER Rtn_cbl
50     !
60     ASSIGN @Hp4268a TO 717
70     !
80     Freq$="1000"
90     Lvl$="1.0"
100    Cbl$="0"
110    Pri$="CP"
120    Sec$="Q"
130    !
140    OUTPUT @Hp4268a;":SYST:PRES"
150    !
160    OUTPUT @Hp4268a;":SOUR:FREQ ";Freq$
170    OUTPUT @Hp4268a;":SOUR:VOLT ";Lvl$
180    OUTPUT @Hp4268a;":CAL:CABL ";Cbl$
190    OUTPUT @Hp4268a;":CALC1:FORM ";Pri$
200    OUTPUT @Hp4268a;":CALC2:FORM ";Sec$
210    !
220    CLEAR SCREEN
230    PRINT "Set Open-Connection"
240    INPUT "OK? [Y/N]",Input_val$
250    IF UPC$(Input_val$)="Y" THEN 
260      OUTPUT @Hp4268a;":CORR:COLL STAN1"
270      OUTPUT @Hp4268a;"*OPC?"
280      ENTER @Hp4268a;Buff$
290      PRINT "Open Correction Complete"
300    END IF
310    !
320    PRINT "Set Short-Connection"
330    INPUT "OK? [Y/N]",Input_val$
340    IF UPC$(Input_val$)="Y" THEN 
350      OUTPUT @Hp4268a;":CORR:COLL STAN2"
360      OUTPUT @Hp4268a;"*OPC?"
370      ENTER @Hp4268a;Buff$
380      PRINT "Short Correction Complete"
390    END IF
400    !
410    OUTPUT @Hp4268a;":TRIG:SOUR BUS"
420    !
430    PRINT "Set DUT"
440    INPUT "OK? [Y/N]",Input_val$
450    IF UPC$(Input_val$)="Y" THEN 
460      OUTPUT @Hp4268a;"*TRG"
470      ENTER @Hp4268a;Rtn_stat,Rtn_pri,Rtn_sec
480    END IF
490    !
500    OUTPUT @Hp4268a;":CALC1:FORM?"
510    ENTER @Hp4268a;Rtn_pri$
520    OUTPUT @Hp4268a;":CALC2:FORM?"
530    ENTER @Hp4268a;Rtn_sec$
540    OUTPUT @Hp4268a;":SOUR:FREQ?"
550    ENTER @Hp4268a;Rtn_freq
560    OUTPUT @Hp4268a;":SOUR:VOLT?"
570    ENTER @Hp4268a;Rtn_lvl
580    OUTPUT @Hp4268a;":CAL:CABL?"
590    ENTER @Hp4268a;Rtn_cbl
600    !
610    CLEAR SCREEN
620    PRINT "[Measurement Result]"
630    PRINT " "&Rtn_pri$&":";Rtn_pri,Rtn_sec$&":";Rtn_sec
640    PRINT "[Measurement Settings]"
650    PRINT " < Frequency  >";Rtn_freq;"[Hz]"
660    PRINT " <   Level    >";Rtn_lvl;"[V]"
670    PRINT " <Cable Length>";Rtn_cbl;"[m]"
680    END
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4268A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      05/01/2008
5050   !* PROGRAM NAME: bsc_meas.bas
5060   !* REVISION:     A.01.01
5070   !*
5080   !*     Copyright (c) Agilent Technologies,
5090   !*              All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************